org.jenkinsci.maven.plugins.hpi

## Class PropertyUtils

- java.lang.Object
- - org.jenkinsci.maven.plugins.hpi.PropertyUtils

    public final class PropertyUtils
    extends java.lang.Object

Version:
  $Id: PropertyUtils.java 10807 2008-07-14 18:56:05Z btosabre $
Author:
  Kenney Westerhof

### Method Summary

Methods
`static java.util.Properties` `loadPropertyFile(java.io.File propfile, boolean fail, boolean useSystemProps)` Reads a property file, resolving all internal variables.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### loadPropertyFile

    public static java.util.Properties loadPropertyFile(java.io.File propfile,
                                        boolean fail,
                                        boolean useSystemProps)
                                                 throws java.io.IOException

Reads a property file, resolving all internal variables.

Parameters:
  `propfile` - The property file to load
  `fail` - whether to throw an exception when the file cannot be loaded or to return null
  `useSystemProps` - whether to incorporate System.getProperties settings into the returned Properties object.
Returns:
  the loaded and fully resolved Properties object
Throws:
  `java.io.IOException`